---
title: Order API v2
description: "**Note:** This is the **v2** version of the **Order API** supports guest checkout payment flows. If you need to support member checkout payment flows, please use the [v1 beta](/api-docs/buy/order_v1/overview.html) version of the **Order API**. The **Order API** is part of the eBay Buy APIs. It is used to purchase items and track the purchase orders. The Order API supports the complete checkout process. Use the Order API with the other Buy APIs to create a buying application that lets eBay members buy from eBay sellers without visiting the eBay site. The Buy APIs provide the ability to purchase eBay items from your app or website. **Note:** This is a [![](https://developer.ebay.com/cms/img/docs/partners-api.svg \"Limited Release\")(Limited Release)](/api-docs/static/versioning.html#limited) API available only to select developers approved by business units. For information on how to obtain access to this API in production, see the [Buy APIs Requirements](/api-docs/buy/static/buy-requirements.html)."
api_version: v2.1.4
api_name: order_api_v2
api_type: REST
api_group: buy/order_api_v2
source_url:
  html: https://developer.ebay.com/develop/api/buy/order_api_v2
  md: https://developer.ebay.com/develop/api/buy/order_api_v2.md
---

# Order API v2 API

**Note:** This is the **v2** version of the **Order API** supports guest checkout payment flows. If you need to support member checkout payment flows, please use the [v1 beta](/api-docs/buy/order_v1/overview.html) version of the **Order API**.

  
The **Order API** is part of the eBay Buy APIs. It is used to purchase items and track the purchase orders. The Order API supports the complete checkout process. Use the Order API with the other Buy APIs to create a buying application that lets eBay members buy from eBay sellers without visiting the eBay site. The Buy APIs provide the ability to purchase eBay items from your app or website.  
  

**Note:** This is a [![](https://developer.ebay.com/cms/img/docs/partners-api.svg "Limited Release")(Limited Release)](/api-docs/static/versioning.html#limited) API available only to select developers approved by business units. For information on how to obtain access to this API in production, see the [Buy APIs Requirements](/api-docs/buy/static/buy-requirements.html).

## API Information

**Title:** Order V2 API
**Version:** v2.1.4
**Description:** **Note:** The Order V2 API supports guest checkout payment flows. If you need to support member checkout payment flows, please use the [v1 version](/api-docs/buy/order_v1/resources/methods) of the Order V2 API.  
  
**Note:** This is a [![Limited Release](/cms/img/docs/partners-api.svg "Limited Release")(Limited Release)](https://developer.ebay.com/api-docs/static/versioning.html#limited) API available only to select developers approved by business units.  
  
The Order V2 API is part of the eBay Buy APIs. It is used to purchase items and track the purchase orders. The Order V2 API supports the complete guest checkout process. Use the Order V2 API with the other Buy APIs to create a buying application that lets guest users buy from eBay sellers without visiting the eBay site.
**Base Path:** /buy/order/v2

## API Methods

The following API methods are available:

### applyGuestCoupon

#### POST /guest_checkout_session/{checkoutSessionId}/apply_coupon
**Description:** **Note:** The Order V2 API supports guest checkout payment flows. If you need to support member checkout payment flows, please use the [v1 version](/api-docs/buy/order_v1/resources/methods) of the Order V2 API.  

**Important!** [![Limited Release](/cms/img/docs/partners-api.svg "Limited Release")(Limited Release)](https://developer.ebay.com/api-docs/static/versioning.html#limited) This method is only available to select developers approved by business units.

  
This method adds a coupon to an eBay guest checkout session and applies it to all the eligible items in the order.  
  
The **checkoutSessionId** is passed in as a URI parameter and is required. The redemption code of the coupon is in the payload and is also required.  
  
For a list of supported sites and other restrictions, see [API Restrictions](/api-docs/buy/static/ref-marketplace-supported.html) in the Buy Integration Guide.
**Parameters:**
- **checkoutSessionId** (string) *required*
  - This path parameter specifies the unique eBay-assigned session identifier for a specific eBay marketplace.  
  
This value is returned by the [initiateGuestCheckoutSession](/api-docs/buy/order/resources/guest_checkout_session/methods/initiateGuestCheckoutSession) method.  
  
**Note:** When using this ID, the X-EBAY-C-MARKETPLACE-ID value and developer App ID must be the same as that used when this guest checkout session was created. See [Checkout session restrictions](/api-docs/buy/static/ref-marketplace-supported.html) in the Buy Integration Guide for details.
- **X-EBAY-C-MARKETPLACE-ID** (string) *required*
  - This header identifies the eBay marketplace where the order will occur.  
  
**Note:** For this method, this value must match the **X-EBAY-C-MARKETPLACE-ID** used when the associated checkout session was created.  
See [HTTP request headers](</api-docs/static/rest-request-components.html#marketpl >) for the marketplace ID values.
- **Content-Type** (string) *required*
  - This header indicates the format of the request body provided by the client. Its value should be set to **application/json**.  
  
For more information, refer to [HTTP request headers](/api-docs/static/rest-request-components.html#HTTP).
- **X-EBAY-C-ENDUSERCTX** (string)
  - This header is used to specify the **deviceId** for the device/user attempting to make the call.  
  
It contains an alphanumeric string that allows a payment gateway to track an API call attempt and confirm that it is a verified payment attempt by a device/user.
**OAuth scope**

This request requires an access token created with the **Client Credentials Grant** flow, using one or more scopes from the following list (please check your Application Keys page for a list of OAuth scopes available to your application):

**Required Scopes:**

**Client Credentials Grant:**

- `https://api.ebay.com/oauth/api_scope/buy.guest.order`


### getGuestCheckoutSession

#### GET /guest_checkout_session/{checkoutSessionId}
**Description:** **Note:** The Order V2 API supports guest checkout payment flows. If you need to support member checkout payment flows, please use the [v1 version](/api-docs/buy/order_v1/resources/methods) of the Order V2 API.  

**Important!** [![Limited Release](/cms/img/docs/partners-api.svg "Limited Release")(Limited Release)](https://developer.ebay.com/api-docs/static/versioning.html#limited) This method is only available to select developers approved by business units.

  
This method returns the details of the specified guest checkout session. The **checkoutSessionId** is passed in as a URI parameter and is required. This method has no request payload.  
  
For a list of supported sites and other restrictions, see [API Restrictions](/api-docs/buy/static/ref-marketplace-supported.html) in the Buy Integration Guide.
**Parameters:**
- **checkoutSessionId** (string) *required*
  - This path parameter specifies the unique eBay-assigned session identifier for a specific eBay marketplace.  
  
This value is returned by the [initiateGuestCheckoutSession](/api-docs/buy/order/resources/guest_checkout_session/methods/initiateGuestCheckoutSession) method.  
  
**Note:** When using this ID, the X-EBAY-C-MARKETPLACE-ID value and developer App ID must be the same as that used when this guest checkout session was created. See [Checkout session restrictions](/api-docs/buy/static/ref-marketplace-supported.html) in the Buy Integration Guide for details.
- **X-EBAY-C-MARKETPLACE-ID** (string) *required*
  - This header identifies the eBay marketplace where the order will occur.  
  
**Note:** For this method, this value must match the **X-EBAY-C-MARKETPLACE-ID** used when the associated checkout session was created.  
See [HTTP request headers](</api-docs/static/rest-request-components.html#marketpl >) for the marketplace ID values.
- **X-EBAY-C-ENDUSERCTX** (string)
  - This header is used to specify the **deviceId** for the device/user attempting to make the call.  
  
It contains an alphanumeric string that allows a payment gateway to track an API call attempt and confirm that it is a verified payment attempt by a device/user.
**OAuth scope**

This request requires an access token created with the **Client Credentials Grant** flow, using one or more scopes from the following list (please check your Application Keys page for a list of OAuth scopes available to your application):

**Required Scopes:**

**Client Credentials Grant:**

- `https://api.ebay.com/oauth/api_scope/buy.guest.order`


### initiateGuestCheckoutSession

#### POST /guest_checkout_session/initiate
**Description:** **Note:** The Order V2 API supports guest checkout payment flows. If you need to support member checkout payment flows, please use the [v1 version](/api-docs/buy/order_v1/resources/methods) of the Order V2 API.  

**Important!** [![Limited Release](/cms/img/docs/partners-api.svg "Limited Release")(Limited Release)](https://developer.ebay.com/api-docs/static/versioning.html#limited) This method is only available to select developers approved by business units.

  
This method creates an eBay guest checkout session, which is the first step in performing a checkout. The method returns a **checkoutSessionId** that you use as a URI parameter in subsequent guest checkout methods.  
  
**Note:** This method also returns the **X-EBAY-SECURITY-SIGNATURE** response header, which is a token that is used to launch the Checkout with eBay widget. The Checkout with eBay widget allows eBay guests to pay for items without leaving your site. For details about the Checkout with eBay widget, see [Integrating the Checkout with eBay button](/api-docs/buy/static/api-order.html#Integrat).  
Also see [Negative Testing Using Stubs](/api-docs/buy/static/ref-buy-negative-testing.html) for information on how to emulate error conditions for this method using stubs.  
  
**TIP:** To test the entire checkout flow, you might need a "test" credit card. You can generate a credit card number from [http://www.getcreditcardnumbers.com](http://www.getcreditcardnumbers.com).  
For a list of supported sites and other restrictions, see [API Restrictions](/api-docs/buy/static/ref-marketplace-supported.html) in the Buy Integration Guide.
**Parameters:**
- **X-EBAY-C-ENDUSERCTX** (string)
  - This header is used to specify the **deviceId** for the device/user attempting to make the call.  
  
It contains an alphanumeric string that allows a payment gateway to track an API call attempt and confirm that it is a verified payment attempt by a device/user.
- **X-EBAY-C-MARKETPLACE-ID** (string) *required*
  - This header identifies the eBay marketplace where the order will occur.  
  
See [HTTP request headers](</api-docs/static/rest-request-components.html#marketpl >) for the marketplace ID values.
- **Content-Type** (string) *required*
  - This header indicates the format of the request body provided by the client. Its value should be set to **application/json**.  
  
For more information, refer to [HTTP request headers](/api-docs/static/rest-request-components.html#HTTP).
**OAuth scope**

This request requires an access token created with the **Client Credentials Grant** flow, using one or more scopes from the following list (please check your Application Keys page for a list of OAuth scopes available to your application):

**Required Scopes:**

**Client Credentials Grant:**

- `https://api.ebay.com/oauth/api_scope/buy.guest.order`


### removeGuestCoupon

#### POST /guest_checkout_session/{checkoutSessionId}/remove_coupon
**Description:** **Note:** The Order V2 API supports guest checkout payment flows. If you need to support member checkout payment flows, please use the [v1 version](/api-docs/buy/order_v1/resources/methods) of the Order V2 API.  

**Important!** [![Limited Release](/cms/img/docs/partners-api.svg "Limited Release")(Limited Release)](https://developer.ebay.com/api-docs/static/versioning.html#limited) This method is only available to select developers approved by business units.

  
This method removes a coupon from an eBay guest checkout session. The **checkoutSessionId** is passed in as a URI parameter and is required. The redemption code of the coupon is specified in the payload and is also required.  
  
For a list of supported sites and other restrictions, see [API Restrictions](/api-docs/buy/static/ref-marketplace-supported.html) in the Buy Integration Guide.
**Parameters:**
- **checkoutSessionId** (string) *required*
  - This path parameter specifies the unique eBay-assigned session identifier for a specific eBay marketplace.  
  
This value is returned by the [initiateGuestCheckoutSession](/api-docs/buy/order/resources/guest_checkout_session/methods/initiateGuestCheckoutSession) method.  
  
**Note:** When using this ID, the X-EBAY-C-MARKETPLACE-ID value and developer App ID must be the same as that used when this guest checkout session was created. See [Checkout session restrictions](/api-docs/buy/static/ref-marketplace-supported.html) in the Buy Integration Guide for details.
- **X-EBAY-C-MARKETPLACE-ID** (string) *required*
  - This header identifies the eBay marketplace where the order will occur.  
  
**Note:** For this method, this value must match the **X-EBAY-C-MARKETPLACE-ID** used when the associated checkout session was created.  
See [HTTP request headers](</api-docs/static/rest-request-components.html#marketpl >) for the marketplace ID values.
- **Content-Type** (string) *required*
  - This header indicates the format of the request body provided by the client. Its value should be set to **application/json**.  
  
For more information, refer to [HTTP request headers](/api-docs/static/rest-request-components.html#HTTP).
- **X-EBAY-C-ENDUSERCTX** (string)
  - This header is used to specify the **deviceId** for the device/user attempting to make the call.  
  
It contains an alphanumeric string that allows a payment gateway to track an API call attempt and confirm that it is a verified payment attempt by a device/user.
**OAuth scope**

This request requires an access token created with the **Client Credentials Grant** flow, using one or more scopes from the following list (please check your Application Keys page for a list of OAuth scopes available to your application):

**Required Scopes:**

**Client Credentials Grant:**

- `https://api.ebay.com/oauth/api_scope/buy.guest.order`


### updateGuestQuantity

#### POST /guest_checkout_session/{checkoutSessionId}/update_quantity
**Description:** **Note:** The Order V2 API supports guest checkout payment flows. If you need to support member checkout payment flows, please use the [v1 version](/api-docs/buy/order_v1/resources/methods) of the Order V2 API.  

**Important!** [![Limited Release](/cms/img/docs/partners-api.svg "Limited Release")(Limited Release)](https://developer.ebay.com/api-docs/static/versioning.html#limited) This method is only available to select developers approved by business units.

  
This method changes the quantity of the specified line item in an eBay guest checkout session.  
  
For a list of supported sites and other restrictions, see [API Restrictions](/api-docs/buy/static/ref-marketplace-supported.html) in the Buy Integration Guide.
**Parameters:**
- **checkoutSessionId** (string) *required*
  - This path parameter specifies the unique eBay-assigned session identifier for a specific eBay marketplace.  
  
This value is returned by the [initiateGuestCheckoutSession](/api-docs/buy/order/resources/guest_checkout_session/methods/initiateGuestCheckoutSession) method.  
  
**Note:** When using this ID, the X-EBAY-C-MARKETPLACE-ID value and developer App ID must be the same as that used when this guest checkout session was created. See [Checkout session restrictions](/api-docs/buy/static/ref-marketplace-supported.html) in the Buy Integration Guide for details.
- **X-EBAY-C-MARKETPLACE-ID** (string) *required*
  - This header identifies the eBay marketplace where the order will occur.  
  
**Note:** For this method, this value must match the **X-EBAY-C-MARKETPLACE-ID** used when the associated checkout session was created.  
See [HTTP request headers](</api-docs/static/rest-request-components.html#marketpl >) for the marketplace ID values.
- **Content-Type** (string) *required*
  - This header indicates the format of the request body provided by the client. Its value should be set to **application/json**.  
  
For more information, refer to [HTTP request headers](/api-docs/static/rest-request-components.html#HTTP).
- **X-EBAY-C-ENDUSERCTX** (string)
  - This header is used to specify the **deviceId** for the device/user attempting to make the call.  
  
It contains an alphanumeric string that allows a payment gateway to track an API call attempt and confirm that it is a verified payment attempt by a device/user.
**OAuth scope**

This request requires an access token created with the **Client Credentials Grant** flow, using one or more scopes from the following list (please check your Application Keys page for a list of OAuth scopes available to your application):

**Required Scopes:**

**Client Credentials Grant:**

- `https://api.ebay.com/oauth/api_scope/buy.guest.order`


### updateGuestShippingAddress

#### POST /guest_checkout_session/{checkoutSessionId}/update_shipping_address
**Description:** **Note:** The Order V2 API supports guest checkout payment flows. If you need to support member checkout payment flows, please use the [v1 version](/api-docs/buy/order_v1/resources/methods) of the Order V2 API.  

**Important!** [![Limited Release](/cms/img/docs/partners-api.svg "Limited Release")(Limited Release)](https://developer.ebay.com/api-docs/static/versioning.html#limited) This method is only available to select developers approved by business units.

  
This method changes the shipping address for the order in an eBay guest checkout session. All the line items in an order must be shipped to the same address, but the shipping method can be specific to the line item.  
  
**Note:** If the address submitted cannot be validated, a warning message will be returned. This does not prevent the method from executing, but you may want to verify the address.  
For a list of supported sites and other restrictions, see [API Restrictions](/api-docs/buy/static/ref-marketplace-supported.html) in the Buy Integration Guide.
**Parameters:**
- **checkoutSessionId** (string) *required*
  - This path parameter specifies the unique eBay-assigned session identifier for a specific eBay marketplace.  
  
This value is returned by the [initiateGuestCheckoutSession](/api-docs/buy/order/resources/guest_checkout_session/methods/initiateGuestCheckoutSession) method.  
  
**Note:** When using this ID, the X-EBAY-C-MARKETPLACE-ID value and developer App ID must be the same as that used when this guest checkout session was created. See [Checkout session restrictions](/api-docs/buy/static/ref-marketplace-supported.html) in the Buy Integration Guide for details.
- **X-EBAY-C-MARKETPLACE-ID** (string) *required*
  - This header identifies the eBay marketplace where the order will occur.  
  
**Note:** For this method, this value must match the **X-EBAY-C-MARKETPLACE-ID** used when the associated checkout session was created.  
See [HTTP request headers](</api-docs/static/rest-request-components.html#marketpl >) for the marketplace ID values.
- **Content-Type** (string) *required*
  - This header indicates the format of the request body provided by the client. Its value should be set to **application/json**.  
  
For more information, refer to [HTTP request headers](/api-docs/static/rest-request-components.html#HTTP).
- **X-EBAY-C-ENDUSERCTX** (string)
  - This header is used to specify the **deviceId** for the device/user attempting to make the call.  
  
It contains an alphanumeric string that allows a payment gateway to track an API call attempt and confirm that it is a verified payment attempt by a device/user.
**OAuth scope**

This request requires an access token created with the **Client Credentials Grant** flow, using one or more scopes from the following list (please check your Application Keys page for a list of OAuth scopes available to your application):

**Required Scopes:**

**Client Credentials Grant:**

- `https://api.ebay.com/oauth/api_scope/buy.guest.order`


### updateGuestShippingOption

#### POST /guest_checkout_session/{checkoutSessionId}/update_shipping_option
**Description:** **Note:** The Order V2 API supports guest checkout payment flows. If you need to support member checkout payment flows, please use the [v1 version](/api-docs/buy/order_v1/resources/methods) of the Order V2 API.  

**Important!** [![Limited Release](/cms/img/docs/partners-api.svg "Limited Release")(Limited Release)](https://developer.ebay.com/api-docs/static/versioning.html#limited) This method is only available to select developers approved by business units.

  
This method changes the shipping method for the specified line item in an eBay guest checkout session. The shipping option can be set for each line item. This gives the shopper the ability choose the cost of shipping for each line item.  
  
For a list of supported sites and other restrictions, see [API Restrictions](/api-docs/buy/static/ref-marketplace-supported.html) in the Buy Integration Guide.
**Parameters:**
- **checkoutSessionId** (string) *required*
  - This path parameter specifies the unique eBay-assigned session identifier for a specific eBay marketplace.  
  
This value is returned by the [initiateGuestCheckoutSession](/api-docs/buy/order/resources/guest_checkout_session/methods/initiateGuestCheckoutSession) method.  
  
**Note:** When using this ID, the X-EBAY-C-MARKETPLACE-ID value and developer App ID must be the same as that used when this guest checkout session was created. See [Checkout session restrictions](/api-docs/buy/static/ref-marketplace-supported.html) in the Buy Integration Guide for details.
- **X-EBAY-C-MARKETPLACE-ID** (string) *required*
  - This header identifies the eBay marketplace where the order will occur.  
  
**Note:** For this method, this value must match the **X-EBAY-C-MARKETPLACE-ID** used when the associated checkout session was created.  
See [HTTP request headers](</api-docs/static/rest-request-components.html#marketpl >) for the marketplace ID values.
- **Content-Type** (string) *required*
  - This header indicates the format of the request body provided by the client. Its value should be set to **application/json**.  
  
For more information, refer to [HTTP request headers](/api-docs/static/rest-request-components.html#HTTP).
- **X-EBAY-C-ENDUSERCTX** (string)
  - This header is used to specify the **deviceId** for the device/user attempting to make the call.  
  
It contains an alphanumeric string that allows a payment gateway to track an API call attempt and confirm that it is a verified payment attempt by a device/user.
**OAuth scope**

This request requires an access token created with the **Client Credentials Grant** flow, using one or more scopes from the following list (please check your Application Keys page for a list of OAuth scopes available to your application):

**Required Scopes:**

**Client Credentials Grant:**

- `https://api.ebay.com/oauth/api_scope/buy.guest.order`


### getGuestPurchaseOrder

#### GET /guest_purchase_order/{purchaseOrderId}
**Description:** **Note:** The Order V2 API supports guest checkout payment flows. If you need to support member checkout payment flows, please use the [v1 version](/api-docs/buy/order_v1/resources/methods) of the Order V2 API.  

**Important!** [![Limited Release](/cms/img/docs/partners-api.svg "Limited Release")(Limited Release)](https://developer.ebay.com/api-docs/static/versioning.html#limited) This method is only available to select developers approved by business units.

  
This method retrieves the details about a specific guest purchase order. It returns the line items, including purchase order status, dates created and modified, item quantity and listing data, payment and shipping information, and prices, taxes, discounts and credits.  
  
The **purchaseOrderId** is passed in as a URI parameter and is required.  
  
**Note:** The **purchaseOrderId** value is returned in the call-back URL that is sent through the new eBay pay widget. For more information about eBay managed payments and the new Order V2 API payment flow, see [Order V2 API](/api-docs/buy/static/api-order.html) in the Buying Integration Guide.  
You can use this method to not only get the details of a purchase order, but to check the value of the [purchaseOrderPaymentStatus](#response.purchaseOrderPaymentStatus) field to determine if the order has been paid for. If the order has been paid for, this field will return `PAID`.  
  
For a list of supported sites and other restrictions, see [API Restrictions](/api-docs/buy/static/ref-marketplace-supported.html) in the Buy Integration Guide.
**Parameters:**
- **purchaseOrderId** (string) *required*
  - This path parameter specifies the unique identifier of a purchase order made by a guest buyer, for which details are to be retrieved.  
  
**Note:** This value is returned in the response URL that is sent through the new eBay pay widget. For more information about eBay managed payments and the new Order V2 API payment flow, see [Order V2 API](/api-docs/buy/static/api-order.html) in the Buying Integration Guide.
- **X-EBAY-C-MARKETPLACE-ID** (string)
  - This header identifies the eBay marketplace where the order will occur.  
  
**Note:** For this method, this value must match the **X-EBAY-C-MARKETPLACE-ID** used when the associated checkout session was created.  
See [HTTP request headers](</api-docs/static/rest-request-components.html#marketpl >) for the marketplace ID values.
- **X-EBAY-C-ENDUSERCTX** (string)
  - This header is used to specify the **deviceId** for the device/user attempting to make the call.  
  
It contains an alphanumeric string that allows a payment gateway to track an API call attempt and confirm that it is a verified payment attempt by a device/user.
**OAuth scope**

This request requires an access token created with the **Client Credentials Grant** flow, using one or more scopes from the following list (please check your Application Keys page for a list of OAuth scopes available to your application):

**Required Scopes:**

**Client Credentials Grant:**

- `https://api.ebay.com/oauth/api_scope/buy.guest.order`


## Error Codes

The following error codes may be returned by this API:

### REQUEST Errors

#### 15001 - API_ORDER
**Description:** Missing field: {fieldName}. The indicated field is required for this request. Add the field and resubmit the call.

#### 15002 - API_ORDER
**Description:** Invalid field: {fieldName}. The indicated field contains an invalid value. Correct the value and resubmit the call.

#### 15003 - API_ORDER
**Description:** The checkout session requested does not exist.

#### 15025 - API_ORDER
**Description:** The App is not authorized to access this resource.

#### 15029 - API_ORDER
**Description:** The X-EBAY-C-MARKETPLACE-ID value {fieldValue} is invalid for this checkout session because it is different from the X-EBAY-C-MARKETPLACE-ID header value used to create the session. For all calls in this checkout session, you must use X-EBAY-C-MARKETPLACE-ID {supportedValues}.

#### 15032 - API_ORDER
**Description:** After using the 'initiateGuestPayment' call, you cannot make changes to the cart. If you need to change the cart, you must start over using the 'initiateGuestCheckoutSession' call.

#### 16002 - API_ORDER
**Description:** The coupon does not exist. The coupon was ignored and no discount was applied to this order.

#### 16003 - API_ORDER
**Description:** The coupon has expired. No discount was applied to this order.

#### 16004 - API_ORDER
**Description:** The coupon has not been activated. The coupon was ignored and no discount was applied to this order.

#### 16006 - API_ORDER
**Description:** The coupon code is invalid. The coupon was ignored and no discount was applied to this order.

#### 16022 - API_ORDER
**Description:** The coupon code is invalid. The coupon was ignored and no discount was applied to this order.

#### 16024 - API_ORDER
**Description:** The coupon provided could not be applied. You may proceed with this session or provide another coupon.

#### 15048 - API_ORDER
**Description:** The value of {fieldName} is too long. For more information, see the documentation for this call.

#### 17002 - API_ORDER
**Description:** Invalid character(s) found in the shipping address. Please check name and shipping address fields, remove invalid character(s) and resubmit the call.

#### 15033 - API_ORDER
**Description:** The payment cannot be processed because the payment information is invalid. You will need to create a new checkout session and submit corrected payment information.

#### 16025 - API_ORDER
**Description:** The coupon was not applied to this cart.

### BUSINESS Errors

#### 15019 - API_ORDER
**Description:** To place an order, you must have at least one line item. Use the initiateCheckoutSession call to add line items (maximum of {maxLineItems}) and create a new checkout session.

#### 15021 - API_ORDER
**Description:** This checkout session cannot be updated because the order has already been placed.

#### 15027 - API_ORDER
**Description:** The value {fieldValue} is not supported for the {fieldName}. The supported values are: {supportedValues}.

#### 16000 - API_ORDER
**Description:** The coupon is not valid for any of the items in the order. The coupon was ignored and no discount was applied to this order.

#### 16001 - API_ORDER
**Description:** You cannot apply multiple coupons to the same order. No discount was applied to this order.

#### 16005 - API_ORDER
**Description:** The coupon requires the buyer to spend a specific monetary amount. This threshold has not been met. The coupon was ignored and no discount was applied to this order.

#### 16007 - API_ORDER
**Description:** This coupon has already been used. The coupon was ignored and no discount was applied to this order.

#### 16008 - API_ORDER
**Description:** This coupon is no longer valid. The coupon was ignored and no discount was applied to this order.

#### 16009 - API_ORDER
**Description:** The coupon requires the buyer to spend a specific monetary amount. This threshold has not been met. The coupon was ignored and no discount was applied to this order.

#### 16010 - API_ORDER
**Description:** The coupon is not valid for the currency being used by the items. The coupon was ignored and no discount was applied to this order.

#### 16012 - API_ORDER
**Description:** The coupon is not valid for the {fieldName}. The coupon was ignored and no discount was applied to this order.

#### 16013 - API_ORDER
**Description:** The coupon is not valid for any of the item categories in the order. The coupon was ignored and no discount was applied to this order.

#### 16014 - API_ORDER
**Description:** The coupon is not valid for the selected payment method. The coupon was ignored and no discount was applied to this order.

#### 16015 - API_ORDER
**Description:** The coupon is not valid for the selected shipping option. The coupon was ignored and no discount was applied to this order.

#### 16016 - API_ORDER
**Description:** The coupon is valid only for items that are shipped domestically. The coupon was ignored and no discount was applied to this order.

#### 16017 - API_ORDER
**Description:** The coupon is valid only for items that are shipped internationally. The coupon was ignored and no discount was applied to this order.

#### 16018 - API_ORDER
**Description:** The buyer is not eligible for this coupon. The coupon was ignored and no discount was applied to this order.

#### 16019 - API_ORDER
**Description:** The coupon is not valid for guest eBay checkouts. The coupon was ignored and no discount was applied to this order.

#### 16023 - API_ORDER
**Description:** You cannot apply multiple coupons to the same order. The coupon was ignored and no discount was applied to this order.

#### 15011 - API_ORDER
**Description:** You have exceeded the maximum number of {maxLineItems} line items. Correct the request and resubmit the call.

#### 15012 - API_ORDER
**Description:** There is a limit on the quantity of this item that can be purchased. Reduce the quantity and resubmit the call.

#### 15013 - API_ORDER
**Description:** The item is either out of stock, or the desired quantity exceeds the quantity available. If out of stock, please wait for seller to restock. If desired quantity exceeds available quantity, please reduce the quantity value and try again.

#### 15014 - API_ORDER
**Description:** The quantity submitted for this item is invalid. Correct the quantity value and resubmit the call.

#### 15015 - API_ORDER
**Description:** There is a problem with the credit card and it cannot be used to purchase items. Use the updatePaymentInfo call to change the payment information.

#### 15017 - API_ORDER
**Description:** The payment for the order line items in your cart could not be processed due to issues with one or more sellers.

#### 15018 - API_ORDER
**Description:** The item is not available for purchase. This can be for several reasons including the listing has ended. Remove the item and resubmit the call.

#### 15026 - API_ORDER
**Description:** The item is not shippable to the specified shipping address.

#### 15028 - API_ORDER
**Description:** The item {itemId} is not available for purchase because it cannot be shipped to {country}.

#### 15031 - API_ORDER
**Description:** The item is not purchasable because the buyer has been blocked by the seller.

#### 15044 - API_ORDER
**Description:** At least one of the items in the cart cannot be purchased using this API. The purchase can be done on eBay, through the eBay app or eBay website.

#### 15045 - API_ORDER
**Description:** The item cannot be purchased because the seller is away and is not processing orders. If you are trying to purchase more than one item, you need to create a new checkout session to purchase the other items.

#### 15047 - API_ORDER
**Description:** In compliance with applicable economic sanctions and trade restrictions, eBay is unavailable in your location. If you believe you are receiving this notice in error, please contact eBay's Customer Service.

#### 15053 - API_ORDER
**Description:** Your desired item(s) are not available for purchase at this time. The unavailability of an item could be for any of several reasons, including the item being out of stock. Add available item(s) and resubmit the call.

#### 20002 - API_ORDER
**Description:** This item {itemId} is currently unavailable to buy from the seller.

### APPLICATION Errors

#### 15000 - API_ORDER
**Description:** There was a problem with an eBay internal system or process. Contact eBay developer support for assistance.

#### 16020 - API_ORDER
**Description:** Your application is not eligible for this coupon. The coupon was ignored and no discount was applied to this order.

#### 16001 - API_ORDER
**Description:** There was a problem with an eBay internal system or process. Contact eBay developer support for assistance.

## Types

### AddonService
**Description:** A type that defines the fields for add-on services that may be applied or are automatically applied to an item in an order.
**Type:** object

**Properties:**
- **serviceFee** (Amount)
  - The container that returns the amount and currency of the fee for an add-on service.
- **serviceTax** (Amount)
  - The container that returns the amount and currency of the sales tax applied against the add-on service fee. This tax is based on the state or territory in which the buyer is located.
- **serviceType** (ServiceTypeEnum)
  - An enumerated value that defines the type of add-on service.

### Adjustment
**Description:** A type that defines the fields for seller adjustments. An adjustment can be a credit or debit.
**Type:** object

**Properties:**
- **amount** (Amount)
  - The container that returns the amount and currency of an adjustment.
- **label** (string)
  - The text indicating what the adjustment was for.

### Amount
**Description:** The type defining the monetary value of an amount in the currency used in on the eBay site offering the item and the conversion of that value into another currency.
**Type:** object

**Properties:**
- **currency** (CurrencyCodeEnum)
  - The currency used in the monetary transaction. Generally, this is the currency used by the country of the eBay site offering the item.
- **value** (string)
  - The amount of the currency specified in the **currency** field. The value of the **currency** defaults to the standard currency used by the country of the eBay site offering the item.

### PricingSummaryV2
**Description:** A type that returns cost details for all of the line items in the order, such as tax, item price, delivery cost, and discounts.
**Type:** object

**Properties:**
- **additionalSavings** (Amount)
  - The total amount of the coupon discounts in the purchase order.
- **addonServicesFee** (Amount)
  - The total fee for add-on services among all line items.  
  
**Note:** This field is only used by the **getGuestPurchaseOrder** method, and is not used by any of the **guest\_checkout\_session** methods.
- **adjustment** (Adjustment)
  - The total amount of any seller adjustments. An adjustment can be a credit or debit. This is used to catch any monetary changes to the order that are not already captured in one of the other fields.
- **deliveryCost** (Amount)
  - The delivery cost for all of the line items, after any delivery discounts are applied.  
  
For example, there are four line items, and the delivery cost for each line item is $5. One of the line items qualifies for free delivery. The **deliveryCost** would be $15, which is the total cost for delivering all of the line items after the discount is applied.  
  
**Note:** The cost includes the value-added tax (VAT) for applicable jurisdictions when requested from supported marketplaces. In this case, users must pass the [`X-EBAY-C-MARKETPLACE-ID`](/api-docs/static/rest-request-components.html#HTTP) request header specifying the supported marketplace (such as `EBAY_GB`) to see VAT-inclusive pricing. For more information on VAT, refer to [VAT Obligations in the EU](https://www.ebay.co.uk/help/listings/default/vat-obligations-eu?id=4650&st=12&pos=1&query=Your%20VAT%20obligations%20in%20the%20EU&intent=VAT).
- **deliveryDiscount** (Amount)
  - The total amount of the order delivery discounts for all of the line items, such as free shipping.  
  
**Note:** This field is only used by the **getGuestPurchaseOrder** method, and is not used by any of the **guest\_checkout\_session** methods.
- **fee** (Amount)
  - The total amount of any fees for all the line items in the order, such as a recycling fee.
- **importCharges** (Amount)
  - The sum of all [Global Shipping Program](<https://pages.ebay.com/seller-center/shipping/global-shipping-program.html >) import charges, for all the line items in the order.
- **importDuties** (Amount)
  - The total sum of cross-border import duties calculated for all line items in the order, which is paid by the buyer at checkout.  
  
**Note:** This field is only used by the **getGuestPurchaseOrder** method, and is not used by any of the **guest\_checkout\_session** methods.
- **importTax** (ImportTax)
  - The type of import tax applicable to the order, and the total amount of tax for all line items in the order.
- **priceDiscount** (Amount)
  - The total discount amount for all line items in the order.  
  
For example, there are four line items in the order. Two of the line items qualify for a _Buy 1, Get 1_ offer, which is a $6 and a $15 discount. The **priceDiscount** value returned would be 21, which is the total of the two discounts.  
  
**Note:** Delivery discount amounts, if applicable, are not reflected in the value returned in this field.
- **priceSubtotal** (Amount)
  - The total cost for all line items in the order, taking into account the item quantity, but before adding taxes and delivery costs, or applying discounts, fees, and adjustments.  
  
**Note:** The price includes the value-added tax (VAT) for applicable jurisdictions when requested from supported marketplaces. In this case, users must pass the [`X-EBAY-C-MARKETPLACE-ID`](/api-docs/static/rest-request-components.html#HTTP) request header specifying the supported marketplace (such as `EBAY_GB`) to see VAT-inclusive pricing. For more information on VAT, refer to [VAT Obligations in the EU](https://www.ebay.co.uk/help/listings/default/vat-obligations-eu?id=4650&st=12&pos=1&query=Your%20VAT%20obligations%20in%20the%20EU&intent=VAT).
- **tax** (Amount)
  - The total amount of taxes for all line items in the order.
- **total** (Amount)
  - The total cost of the order, which includes: (**priceSubtotal** - **priceDiscount**) + **deliveryCost** + **tax** +/- **adjustment** + **fee** + **importCharges** - **additionalSavings**.

### AuthenticityVerificationProgram
**Description:** A type that provides the status and outcome of an order line item going through the Authenticity Guarantee verification process.
**Type:** object

**Properties:**
- **description** (string)
  - An informational message that applies to the Authenticity Guarantee program.
- **outcomeReason** (string)
  - An informational message regarding the authentication outcome of an Authenticity Guarantee verification inspection.  
  
**Note:** This field is conditionally returned when there is information that applies to the Authenticity Guarantee program.
- **status** (AuthenticityVerificationStatusEnum)
  - An enumerated value that indicates whether the order line item has passed or failed the Authenticity Guarantee verification inspection, or whether the inspection and/or results are still pending.  
  
**Note:** This field is conditionally returned when the purchase is complete.  
  
**Valid Values:**

*   `PENDING`
*   `PASSED`
*   `FAILED`
*   `INELIGIBLE`
- **termsWebUrl** (string)
  - The terms and conditions that apply to the Authenticity Guarantee program.

### AuthenticityVerificationStatusEnum
**Description:** An enumerted type that defines the status of the Authenticity Guarantee verification inspection. | - **PENDING**: This enumeration value indicates that the authentication status is `PENDING`. The item's authenticity is still unknown. - **PASSED**: This enumeration value indicates that the authentication status has `PASSED`. The item is authentic. - **FAILED**: This enumeration value indicates that the authentication has `FAILED`. The items's authenticity could not be verified. - **INELIGIBLE**: This enumeration value indicates that the authentication status is `INELIGIBLE`. There may be legal reasons or requirements such that the item cannot be labeled authentic.
**Type:** object

### CheckoutAddonService
**Description:** A type that defines the fields for add-on services that may be applied or are automatically applied to an item in an order.
**Type:** object

**Properties:**
- **selected** (boolean)
  - This boolean indicates whether the service is selected or not.
- **serviceFee** (Amount)
  - The container that returns the amount and currency of the fee for an add-on service.
- **serviceId** (string)
  - The unique identifier of the add-on service.
- **serviceTax** (Amount)
  - The container that returns the amount and currency of the sales tax applied against the add-on service fee. This tax is based on the state or territory in which the buyer is located.
- **serviceType** (ServiceTypeEnum)
  - The type of add-on service, such as `AUTHENTICITY_GUARANTEE`.

### CountryCodeEnum
**Description:** The two-letter [ISO 3166](https://www.iso.org/iso-3166-country-codes.html) standard code that represents a country. | - **AD**: Indicates the country is Andorra. - **AE**: Indicates the country is United Arab Emirates. - **AF**: Indicates the country is Afghanistan. - **AG**: Indicates the country is Antigua and Barbuda. - **AI**: Indicates the country is Anguilla. - **AL**: Indicates the country is Albania. - **AM**: Indicates the country is Armenia. - **AN**: Indicates the country is Netherlands Antilles. - **AO**: Indicates the country is Angola. - **AQ**: Indicates the country is Antarctica. - **AR**: Indicates the country is Argentina. - **AS**: Indicates the country is American Samoa. - **AT**: Indicates the country is Austria. - **AU**: Indicates the country is Australia. - **AW**: Indicates the country is Aruba. - **AX**: Indicates the country is Aland Islands - **AZ**: Indicates the country is Azerbaijan. - **BA**: Indicates the country is Bosnia and Herzegovina. - **BB**: Indicates the country is Barbados. - **BD**: Indicates the country is Bangladesh. - **BE**: Indicates the country is Belgium. - **BF**: Indicates the country is Burkina Faso. - **BG**: Indicates the country is Bulgaria. - **BH**: Indicates the country is Bahrain. - **BI**: Indicates the country is Burundi. - **BJ**: Indicates the country is Benin. - **BL**: Indicates the country is Saint Barthelemy. - **BM**: Indicates the country is Bermuda. - **BN**: Indicates the country is Brunei Darussalam. - **BO**: Indicates the country is Bolivia. - **BQ**: Indicates the country is Bonaire, Sint Eustatius, and Saba. - **BR**: Indicates the country is Brazil. - **BS**: Indicates the country is Bahamas. - **BT**: Indicates the country is Bhutan. - **BV**: Indicates the country is Bouvet Island. - **BW**: Indicates the country is Botswana. - **BY**: Indicates the country is Belarus. - **BZ**: Indicates the country is Belize. - **CA**: Indicates the country is Canada. - **CC**: Indicates the country is Cocos (Keeling) Islands. - **CD**: Indicates the country is The Democratic Republic of the Congo. - **CF**: Indicates the country is Central African Republic. - **CG**: Indicates the country is Congo. - **CH**: Indicates the country is Switzerland. - **CI**: Indicates the country is Cote d'Ivoire. - **CK**: Indicates the country is Cook Islands. - **CL**: Indicates the country is Chile. - **CM**: Indicates the country is Cameroon. - **CN**: Indicates the country is China. - **CO**: Indicates the country is Colombia. - **CR**: Indicates the country is Costa Rica. - **CU**: Indicates the country is Cuba. - **CV**: Indicates the country is Cape Verde. - **CW**: Indicates the country is Curacao. - **CX**: Indicates the country is Christmas Island. - **CY**: Indicates the country is Cyprus. - **CZ**: Indicates the country is Czech Republic. - **DE**: Indicates the country is Germany. - **DJ**: Indicates the country is Djibouti. - **DK**: Indicates the country is Denmark. - **DM**: Indicates the country is Dominica. - **DO**: Indicates the country is Dominican Republic. - **DZ**: Indicates the country is Algeria. - **EC**: Indicates the country is Ecuador. - **EE**: Indicates the country is Estonia. - **EG**: Indicates the country is Egypt. - **EH**: Indicates the country is Western Sahara. - **ER**: Indicates the country is Eritrea. - **ES**: Indicates the country is Spain. - **ET**: Indicates the country is Ethiopia. - **FI**: Indicates the country is Finland. - **FJ**: Indicates the country is Fiji. - **FK**: Indicates the country is Falkland Islands (Malvinas). - **FM**: Indicates the country is Federated States of Micronesia. - **FO**: Indicates the country is Faroe Islands. - **FR**: Indicates the country is France. - **GA**: Indicates the country is Gabon. - **GB**: Indicates the country is United Kingdom. - **GD**: Indicates the country is Grenada. - **GE**: Indicates the country is Georgia. - **GF**: Indicates the country is French Guiana. - **GG**: Indicates the country is Guernsey. - **GH**: Indicates the country is Ghana. - **GI**: Indicates the country is Gibraltar. - **GL**: Indicates the country is Greenland. - **GM**: Indicates the country is Gambia. - **GN**: Indicates the country is Guinea. - **GP**: Indicates the country is Guadeloupe. - **GQ**: Indicates the country is Equatorial Guinea. - **GR**: Indicates the country is Greece. - **GS**: Indicates the country is South Georgia and the South Sandwich Islands. - **GT**: Indicates the country is Guatemala. - **GU**: Indicates the country is Guam. - **GW**: Indicates the country is Guinea-Bissau. - **GY**: Indicates the country is Guyana. - **HK**: Indicates the country is Hong Kong. - **HM**: Indicates the country is Heard Island and McDonald Islands. - **HN**: Indicates the country is Honduras. - **HR**: Indicates the country is Croatia. - **HT**: Indicates the country is Haiti. - **HU**: Indicates the country is Hungary. - **ID**: Indicates the country is Indonesia. - **IE**: Indicates the country is Ireland. - **IL**: Indicates the country is Israel. - **IM**: Indicates the country is Isle of Man. - **IN**: Indicates the country is India. - **IO**: Indicates the country is British Indian Ocean Territory. - **IQ**: Indicates the country is Iraq. - **IR**: Indicates the country is Islamic Republic of Iran. - **IS**: Indicates the country is Iceland. - **IT**: Indicates the country is Italy. - **JE**: Indicates the country is Jersey. - **JM**: Indicates the country is Jamaica. - **JO**: Indicates the country is Jordan. - **JP**: Indicates the country is Japan. - **KE**: Indicates the country is Kenya. - **KG**: Indicates the country is Kyrgyzstan. - **KH**: Indicates the country is Cambodia. - **KI**: Indicates the country is Kiribati. - **KM**: Indicates the country is Comoros. - **KN**: Indicates the country is Saint Kitts and Nevis. - **KP**: Indicates the country is Democratic People's Republic of Korea. - **KR**: Indicates the country is Republic of Korea. - **KW**: Indicates the country is Kuwait. - **KY**: Indicates the country is Cayman Islands. - **KZ**: Indicates the country is Kazakhstan. - **LA**: Indicates the country is Lao People's Democratic Republic. - **LB**: Indicates the country is Lebanon. - **LC**: Indicates the country is Saint Lucia. - **LI**: Indicates the country is Liechtenstein. - **LK**: Indicates the country is Sri Lanka. - **LR**: Indicates the country is Liberia. - **LS**: Indicates the country is Lesotho. - **LT**: Indicates the country is Lithuania. - **LU**: Indicates the country is Luxembourg. - **LV**: Indicates the country is Latvia. - **LY**: Indicates the country is Libyan Arab Jamahiriya. - **MA**: Indicates the country is Morocco. - **MC**: Indicates the country is Monaco. - **MD**: Indicates the country is Republic of Moldova. - **ME**: Indicates the country is Montenegro. - **MF**: Indicates the country is Saint Martin (French part). - **MG**: Indicates the country is Madagascar. - **MH**: Indicates the country is Marshall Islands. - **MK**: Indicates the country is The Former Yugoslav Republic of Macedonia. - **ML**: Indicates the country is Mali. - **MM**: Indicates the country is Myanmar. - **MN**: Indicates the country is Mongolia. - **MO**: Indicates the country is Macao. - **MP**: Indicates the country is Northern Mariana Islands. - **MQ**: Indicates the country is Martinique. - **MR**: Indicates the country is Mauritania. - **MS**: Indicates the country is Montserrat. - **MT**: Indicates the country is Malta. - **MU**: Indicates the country is Mauritius. - **MV**: Indicates the country is Maldives. - **MW**: Indicates the country is Malawi. - **MX**: Indicates the country is Mexico. - **MY**: Indicates the country is Malaysia. - **MZ**: Indicates the country is Mozambique. - **NA**: Indicates the country is Namibia. - **NC**: Indicates the country is New Caledonia. - **NE**: Indicates the country is Niger. - **NF**: Indicates the country is Norfolk Island. - **NG**: Indicates the country is Nigeria. - **NI**: Indicates the country is Nicaragua. - **NL**: Indicates the country is Netherlands. - **NO**: Indicates the country is Norway. - **NP**: Indicates the country is Nepal. - **NR**: Indicates the country is Nauru. - **NU**: Indicates the country is Niue. - **NZ**: Indicates the country is New Zealand. - **OM**: Indicates the country is Oman. - **PA**: Indicates the country is Panama. - **PE**: Indicates the country is Peru. - **PF**: Indicates the country is French Polynesia. Includes Tahiti. - **PG**: Indicates the country is Papua New Guinea. - **PH**: Indicates the country is Philippines. - **PK**: Indicates the country is Pakistan. - **PL**: Indicates the country is Poland. - **PM**: Indicates the country is Saint Pierre and Miquelon. - **PN**: Indicates the country is Pitcairn. - **PR**: Indicates the country is Puerto Rico. - **PS**: Indicates the country is Palestinian territory Occupied. - **PT**: Indicates the country is Portugal. - **PW**: Indicates the country is Palau. - **PY**: Indicates the country is Paraguay. - **QA**: Indicates the country is Qatar. - **RE**: Indicates the country is Reunion. - **RO**: Indicates the country is Romania. - **RS**: Indicates the country is Serbia. - **RU**: Indicates the country is Russian Federation. - **RW**: Indicates the country is Rwanda. - **SA**: Indicates the country is Saudi Arabia. - **SB**: Indicates the country is Solomon Islands. - **SC**: Indicates the country is Seychelles. - **SD**: Indicates the country is Sudan. - **SE**: Indicates the country is Sweden. - **SG**: Indicates the country is Singapore. - **SH**: Indicates the country is Saint Helena. - **SI**: Indicates the country is Slovenia. - **SJ**: Indicates the country is Svalbard and Jan Mayen. - **SK**: Indicates the country is Slovakia. - **SL**: Indicates the country is Sierra Leone. - **SM**: Indicates the country is San Marino. - **SN**: Indicates the country is Senegal. - **SO**: Indicates the country is Somalia. - **SR**: Indicates the country is Suriname. - **ST**: Indicates the country is Sao Tome and Principe. - **SV**: Indicates the country is El Salvador. - **SX**: Indicates the country is Sint Maarten (Dutch part). - **SY**: Indicates the country is Syrian Arab Republic. - **SZ**: Indicates the country is Swaziland. - **TC**: Indicates the country is Turks and Caicos Islands. - **TD**: Indicates the country is Chad. - **TF**: Indicates the country is French Southern Territories. - **TG**: Indicates the country is Togo. - **TH**: Indicates the country is Thailand. - **TJ**: Indicates the country is Tajikistan. - **TK**: Indicates the country is Tokelau. - **TL**: Indicates the country is Timor-Leste. - **TM**: Indicates the country is Turkmenistan. - **TN**: Indicates the country is Tunisia. - **TO**: Indicates the country is Tonga. - **TR**: Indicates the country is Turkey. - **TT**: Indicates the country is Trinidad and Tobago. - **TV**: Indicates the country is Tuvalu. - **TW**: Indicates the country is Taiwan. - **TZ**: Indicates the country is Tanzania. - **UA**: Indicates the country is Ukraine. - **UG**: Indicates the country is Uganda. - **UM**: Indicates the country is United States Minor Outlying Islands. - **US**: Indicates the country is United States. - **UY**: Indicates the country is Uruguay. - **UZ**: Indicates the country is Uzbekistan. - **VA**: Indicates the country is Holy See (Vatican City state). - **VC**: Indicates the country is Saint Vincent and the Grenadines. - **VE**: Indicates the country is Venezuela. - **VG**: Indicates the country is British Virgin Islands. - **VI**: Indicates the country is the U.S. Virgin Islands. - **VN**: Indicates the country is Vietnam. - **VU**: Indicates the country is Vanuatu. - **WF**: Indicates the country is Wallis and Futuna. - **WS**: Indicates the country is Samoa. - **YE**: Indicates the country is Yemen. - **YT**: Indicates the country is Mayotte. - **ZA**: Indicates the country is South Africa. - **ZM**: Indicates the country is Zambia. - **ZW**: Indicates the country is Zimbabwe.
**Type:** object

### Coupon
**Description:** A type that defines the fields for the coupon information.  
  
**Note:** This container is not returned for the **getGuestPurchaseOrder** method.
**Type:** object

**Properties:**
- **redemptionCode** (string)
  - The coupon redemption code.

### CouponRequest
**Description:** A type that defines the fields for the coupon information used in the request.
**Type:** object

**Properties:**
- **redemptionCode** (string)
  - The redemption code of the coupon.  
  
**Maximum:** One redemption code per order

### CreateGuestCheckoutSessionRequestV2
**Description:** A type that defines the fields used to create an eBay guest checkout session.
**Type:** object

**Properties:**
- **contactEmail** (string)
  - The buyer's email address.
- **lineItemInputs** (array)
  - An array used to define the line item(s) and desired quantity for an eBay guest checkout session.  
  
**Maximum:** 10 line items
- **shippingAddress** (ShippingAddress)
  - A container that defines the shipping address for an eBay guest checkout session.  
  
**Note:** If the address cannot be validated, a warning message is returned along with the response.

### CurrencyCodeEnum
**Description:** An enumerated type for the values that represent the three letter _ISO 4217_ code representing a world currency. For more information, see [Currency codes - ISO 4217](https://www.iso.org/iso/home/standards/currency_codes.htm). | - **AED**: Indicates the currency is United Arab Emirates dirham. - **AFN**: Indicates the currency is Afghan afghani. - **ALL**: Indicates the currency is Albanian lek. - **AMD**: Indicates the currency is Armenian dram. - **AOA**: Indicates the currency is Angolan kwanza. - **ARS**: Indicates the currency is Argentine peso. - **AWG**: Indicates the currency is Aruban florin. - **AZN**: Indicates the currency is Azerbaijani manat. - **BAM**: Indicates the currency is Bosnia and Herzegovina convertible mark. - **BBD**: Indicates the currency is Barbados dollar. - **BDT**: Indicates the currency is Bangladeshi taka. - **BGN**: Indicates the currency is Bulgarian lev. - **BHD**: Indicates the currency is Bahraini dinar. - **BIF**: Indicates the currency is Burundian franc. - **BMD**: Indicates the currency is Bermudian dollar. - **BND**: Indicates the currency is Brunei dollar. - **BOB**: Indicates the currency is Bolivian Boliviano. - **BRL**: Indicates the currency is Brazilian real. - **BSD**: Indicates the currency is Bahamian dollar. - **BTN**: Indicates the currency is Bhutanese ngultrum. - **BWP**: Indicates the currency is Botswana pula. - **BYR**: Indicates the currency is Belarusian ruble. - **BZD**: Indicates the currency is Belize dollar. - **CAD**: Indicates the currency is Canadian dollar. - **CDF**: Indicates the currency is Congolese franc. - **CLP**: Indicates the currency is Chilean peso. - **CNY**: Indicates the currency is Chinese yuan renminbi. - **COP**: Indicates the currency is Colombian peso. - **CRC**: Indicates the currency is Costa Rican colon. - **CUP**: Indicates the currency is Cuban peso. - **CVE**: Indicates the currency is Cape Verde escudo. - **CZK**: Indicates the currency is Czech koruna. - **DJF**: Indicates the currency is Djiboutian franc. - **DOP**: Indicates the currency is Dominican peso. - **DZD**: Indicates the currency is Algerian dinar. - **EGP**: Indicates the currency is Egyptian pound. - **ERN**: Indicates the currency is Eritrean nakfa. - **ETB**: Indicates the currency is Ethiopian birr. - **FJD**: Indicates the currency is Fiji dollar. - **FKP**: Indicates the currency is Falkland Islands pound. - **GEL**: Indicates the currency is Georgian lari. - **GHS**: Indicates the currency is Ghanaian cedi. - **GIP**: Indicates the currency is Gibraltar pound. - **DKK**: Indicates the currency is Danish krone. - **GMD**: Indicates the currency is Gambian dalasi. - **GNF**: Indicates the currency is Guinean franc. - **GTQ**: Indicates the currency is Guatemalan quetzal. - **GYD**: Indicates the currency is Guyanese dollar. - **HKD**: Indicates the currency is Hong Kong dollar. - **HNL**: Indicates the currency is Honduran lempira. - **HRK**: Indicates the currency is Croatian kuna. - **HTG**: Indicates the currency is Haitian gourde. - **HUF**: Indicates the currency is Hungarian forint. - **IDR**: Indicates the currency is Indonesian rupiah. - **INR**: Indicates the currency is Indian rupee. - **IQD**: Indicates the currency is Iraqi dinar. - **IRR**: Indicates the currency is Iranian rial. - **ISK**: Indicates the currency is Icelandic krona. - **GBP**: Indicates the currency is British pound sterling. - **JMD**: Indicates the currency is Jamaican dollar. - **JOD**: Indicates the currency is Jordanian dinar. - **JPY**: Indicates the currency is Japanese yen. - **KES**: Indicates the currency is Kenyan shilling. - **KGS**: Indicates the currency is Kyrgyzstani som. - **KHR**: Indicates the currency is Cambodian riel. - **KMF**: Indicates the currency is Comoro franc. - **KPW**: Indicates the currency is North Korean won. - **KRW**: Indicates the currency is South Korean won. - **KWD**: Indicates the currency is Kuwaiti dinar. - **KYD**: Indicates the currency is Cayman Islands dollar. - **KZT**: Indicates the currency is Kazakhstani tenge. - **LAK**: Indicates the currency is Lao kip. - **LBP**: Indicates the currency is Lebanese pound. - **CHF**: Indicates the currency is Swiss franc. - **LKR**: Indicates the currency is Sri Lankan rupee. - **LRD**: Indicates the currency is Liberian dollar. - **LSL**: Indicates the currency is Lesotho loti. - **LTL**: Indicates the currency is Lithuanian litas. - **LYD**: Indicates the currency is Libyan dinar. - **MAD**: Indicates the currency is Moroccan dirham. - **MDL**: Indicates the currency is Moldovan leu. - **MGA**: Indicates the currency is Malagasy ariary. - **MKD**: Indicates the currency is Macedonian denar. - **MMK**: Indicates the currency is Myanmar kyat. - **MNT**: Indicates the currency is Mongolian tugrik. - **MOP**: Indicates the currency is Macanese pataca. - **MRO**: Indicates the currency is Mauritanian ouguiya. - **XCD**: Indicates the currency is East Caribbean dollar. - **MUR**: Indicates the currency is Mauritian rupee. - **MVR**: Indicates the currency is Maldivian rufiyaa. - **MWK**: Indicates the currency is Malawian kwacha. - **MXN**: Indicates the currency is Mexican peso. - **MYR**: Indicates the currency is Malaysian ringgit. - **MZN**: Indicates the currency is Mozambican metical. - **NAD**: Indicates the currency is Namibian dollar. - **NGN**: Indicates the currency is Nigerian naira. - **NIO**: Indicates the currency is Nicaraguan cordoba oro. - **NPR**: Indicates the currency is Nepalese rupee. - **OMR**: Indicates the currency is Omani rial. - **PAB**: Indicates the currency is Panamanian balboa. - **PEN**: Indicates the currency is Peruvian sol. - **XPF**: Indicates the currency is CFP franc. - **PGK**: Indicates the currency is Papua New Guinean kina. - **PHP**: Indicates the currency is Philippine peso. - **PKR**: Indicates the currency is Pakistani rupee. - **PLN**: Indicates the currency is Polish zloty. - **ILS**: Indicates the currency is Israeli new shekel. - **PYG**: Indicates the currency is Paraguayan guarani. - **QAR**: Indicates the currency is Qatari riyal. - **RON**: Indicates the currency is Romanian leu. - **RSD**: Indicates the currency is Serbian dinar. - **RUB**: Indicates the currency is Russian ruble. - **RWF**: Indicates the currency is Rwandan franc. - **SAR**: Indicates the currency is Saudi riyal. - **SBD**: Indicates the currency is Solomon Islands dollar. - **SCR**: Indicates the currency is Seychelles rupee. - **SDG**: Indicates the currency is Sudanese pound. - **SEK**: Indicates the currency is Swedish krona. - **SGD**: Indicates the currency is Singapore dollar. - **SHP**: Indicates the currency is Saint Helena pound. - **NOK**: Indicates the currency is Norwegian krone. - **SLL**: Indicates the currency is Sierra Leonean leone. - **SOS**: Indicates the currency is Somali shilling. - **SRD**: Indicates the currency is Surinamese dollar. - **STD**: Indicates the currency is Sao Tome and Principe dobra. - **ANG**: Indicates the currency is Netherlands Antillean guilder. - **SYP**: Indicates the currency is Syrian pound. - **SZL**: Indicates the currency is Swazi lilangeni. - **XAF**: Indicates the currency is CFA franc BEAC. - **XOF**: Indicates the currency is CFA franc BCEAO. - **THB**: Indicates the currency is Thai baht. - **TJS**: Indicates the currency is Tajikistani somoni. - **NZD**: Indicates the currency is New Zealand dollar. - **TMT**: Indicates the currency is Turkmenistani manat. - **TND**: Indicates the currency is Tunisian dinar. - **TOP**: Indicates the currency is Tongan pa'anga. - **TRY**: Indicates the currency is Turkish lira. - **TTD**: Indicates the currency is Trinidad and Tobago dollar. - **AUD**: Indicates the currency is Australian dollar. - **TWD**: Indicates the currency is New Taiwan dollar. - **TZS**: Indicates the currency is Tanzanian shilling. - **UAH**: Indicates the currency is Ukrainian hryvnia. - **UGX**: Indicates the currency is Ugandan shilling. - **USD**: Indicates the currency is United States dollar. - **UYU**: Indicates the currency is Uruguayan peso. - **UZS**: Indicates the currency is Uzbekistani som. - **VEF**: Indicates the currency is Venezuelan bolivar. - **VND**: Indicates the currency is Vietnamese dong. - **VUV**: Indicates the currency is Vanuatu vatu. - **WST**: Indicates the currency is Samoan tala. - **YER**: Indicates the currency is Yemeni rial. - **EUR**: Indicates the currency is European Union euro. - **ZAR**: Indicates the currency is South African rand. - **ZMW**: Indicates the currency is Zambian kwacha. - **ZWL**: Indicates the currency is Zimbabwean dollar.
**Type:** object

### ErrorDetailV3
**Description:** A type that defines the fields for the error messages.
**Type:** object

**Properties:**
- **category** (string)
  - This string value indicates the error category. There are three categories of errors: request errors, application errors, and system errors.
- **domain** (string)
  - The name of the primary system where the error occurred. This is relevant for application errors.
- **errorId** (integer)
  - A unique code that identifies the particular error or warning that occurred. Your application can use error codes as identifiers in your customized error-handling algorithms.
- **inputRefIds** (array)
  - An array of reference IDs that identify the specific request elements most closely associated to the error or warning, if any.
- **longMessage** (string)
  - A detailed description of the condition that caused the error or warning, and information on what what must be done to correct the problem.
- **message** (string)
  - A description of the condition that caused the error or warning.
- **outputRefIds** (array)
  - An array of reference IDs that identify the specific response elements most closely associated to the error or warning, if any.
- **parameters** (array)
  - An array of warning and error messages that return one or more variables contextual information about the error or warning. This is often the field or value that triggered the error or warning.
- **subdomain** (string)
  - The name of the subdomain in which the error or warning occurred.

### ErrorParameterV3
**Description:** An array of name/value pairs that provide details regarding the error.
**Type:** object

**Properties:**
- **name** (string)
  - The name of the input field that caused an issue with the method request.
- **value** (string)
  - The actual value that was passed in for the element specified in the **name** field.

### Fee
**Description:** A breakdown of the fees associated with the line item.
**Type:** object

**Properties:**
- **amount** (Amount)
  - A container for the currency type and monetary amount of the fee associated with the line item.
- **feeType** (FeeEnum)
  - The type of fee associated with the line item.

### FeeEnum
**Description:** An enumerated type that defines the fees that may be collected by eBay for a given line item in an order. | - **ADDITIONAL_FEE**: This enumeration value indicates that an additional fee was charged to the buyer against the order line item. - **BATTERY_RECYCLING_FEE**: This enumeration value indicates that a battery recycling fee was charged to the buyer against the order line item. - **ELECTRONIC_RECYCLING_FEE**: This enumeration value indicates that an electronic recycling fee was charged to the buyer against the order line item. This fee is imposed on the retail sale or lease of certain electronic products that have been identified as covered electronic devices (CEDs). - **MATTRESS_RECYCLING_FEE**: This enumeration value indicates that a mattress waste recycling fee was charged to the buyer against the order line item for each mattress, box spring, foundation, and base sold. This recycling fee is per piece. - **TIRE_RECYCLING_FEE**: This enumeration value indicates that a tire recycling fee was charged to the buyer against the order line item. - **WHITE_GOODS_DISPOSABLE_TAX**: This enumeration value indicates that the disposal tax for white goods was charged to the buyer against the order line item (White Goods Disposal Tax). White goods includes items like refrigerators, ranges, water heaters, freezers, unit air conditioners, washing machines, clothes dryers, and other similar domestic and commercial large appliances.
**Type:** object

### GuestCheckoutSessionResponseV2
**Description:** Guest session response v2
**Type:** object

**Properties:**
- **appliedCoupons** (array)
  - A container that returns the information for the coupons that were applied in the guest checkout session.
- **checkoutSessionId** (string)
  - The eBay-assigned guest checkout session ID. This ID is created after a successful **initiateGuestCheckoutSession** call.
- **lineItems** (array)
  - An array of line items associated with the guest checkout session.
- **pricingSummary** (PricingSummaryV2)
  - A container that breaks down the costs for the order, including total cost, shipping cost, tax, fees, and any discounts.
- **shippingAddress** (ShippingAddress)
  - A container that returns the address to which the purchase order will be shipped.
- **warnings** (array)
  - An array of errors or warnings that were generated during the method processing.

### GuestPurchaseOrderV2
**Description:** A type that defines the fields for a guest purchase order.
**Type:** object

**Properties:**
- **lineItems** (array)
  - An array of line items in the order.
- **pricingSummary** (PricingSummaryV2)
  - A container that breaks down the costs for the order, including total cost, shipping cost, tax, fees, and any discounts.
- **purchaseOrderCreationDate** (string)
  - The creation date of the purchase order.
- **purchaseOrderId** (string)
  - The unique identifier of the purchase order.
- **purchaseOrderPaymentStatus** (PurchaseOrderPaymentStatusEnum)
  - A container that returns the payment status for the purchase order.
- **purchaseOrderStatus** (PurchaseOrderStatusEnum)
  - An enumeration value that indicates the current status of the buyer's payment and any refund that applies to the purchase order.
- **refundedAmount** (Amount)
  - The total amount of any refunds for the purchase order.
- **taxDetails** (array)
  - Detailed tax information for items included in this order.
- **warnings** (array)
  - A container for any warning messages.

### Image
**Description:** A container that returns the URL for an image.
**Type:** object

**Properties:**
- **imageUrl** (string)
  - The URL for the image.

### ImportTax
**Description:** This container defines the type of import tax applicable to the order, and the total amount of tax for all line items in the order.
**Type:** object

**Properties:**
- **amount** (Amount)
  - The total amount of import tax for all line items of an order.
- **importTaxType** (ImportTaxTypeEnum)
  - An enumeration value that indicates the type of import tax applicable to the order. Currently, the only applicable import tax is the _Goods and Services_ tax (indicated with `GST`). The Goods and Services tax is only applicable to orders for the eBay Australia marketplace.

### ImportTaxTypeEnum
**Description:** An enumerated type that defines the import tax types. | - **GST**: This enumeration value indicates that the import tax is a _Goods and Services_ tax. This tax is only applicable to orders for the eBay Australia marketplace.
**Type:** object

### LegacyReference
**Description:** A type that defines the fields to support using the [Post Order API](<https://developer.ebay.com/devzone/post-order/index.html#callindex >) for returns and cancellations.  
  
**Restriction:** The Post Order API can be used only with eBay member checkouts.
**Type:** object

**Properties:**
- **legacyItemId** (string)
  - The legacy ID used to identify an item.  
  
This is used by the Post Order API [Create Return Request](<https://developer.ebay.com/Devzone/post-order/post-order_v2_return__post.html >) method. This call initiates the item return process. For more information on how to use this field in the Post Order API, see [Create a return request](/api-docs/buy/static/api-order.html#return-request) in the Buy Integration Guide.  
  
**Restriction:** The Post Order API can be used only with eBay member checkouts.
- **legacyOrderId** (string)
  - The legacy ID of the order.  
  
This is used by the Post Order API [Submit Cancellation Request](<https://developer.ebay.com/Devzone/post-order/post-order_v2_cancellation__post.html >) method. This method initiates the item cancellation process. For more information on how to use this field in the Post Order API, see [Using the Post Order API](/api-docs/buy/static/api-order.html#using).  
  
**Restriction:** The Post Order API can be used only with eBay member checkouts.
- **legacyTransactionId** (string)
  - The legacy ID of the transaction.  
  
This is used by the Post Order API [Create Return Request](<https://developer.ebay.com/devzone/post-order/post-order_v2_return__post.html >) call. This call initiates the item return process. For more information on how to use this field in the Post Order API, see [Using the Post Order API](/api-docs/buy/static/api-order.html#using) in the Buy Integration Guide.  
  
**Restriction:** The Post Order API can be used only with eBay member checkouts.

### LineItem
**Description:** A type that defines the fields for an individual line item.
**Type:** object

**Properties:**
- **addonServices** (array)
  - An array of add-on services for the line item.
- **authenticityVerification** (AuthenticityVerificationProgram)
  - A container returned for orders that are eligible for eBay's Authenticity Guarantee service. The seller ships Authenticity Guarantee service items to the authentication partner instead of the buyer. If the item is successfully authenticated, the authenticator will ship the item to the buyer.
- **baseUnitPrice** (Amount)
  - The cost of a single quantity of the line item. This is the starting point for computing the price during the checkout session.  
  
**Note:** The price includes the value-added tax (VAT) for applicable jurisdictions when requested from supported marketplaces. In this case, users must pass the [`X-EBAY-C-MARKETPLACE-ID`](/api-docs/static/rest-request-components.html#HTTP) request header specifying the supported marketplace (such as `EBAY_GB`) to see VAT-inclusive pricing. For more information on VAT, refer to [VAT Obligations in the EU](https://www.ebay.co.uk/help/listings/default/vat-obligations-eu?id=4650&st=12&pos=1&query=Your%20VAT%20obligations%20in%20the%20EU&intent=VAT).
- **fees** (array)
  - A breakdown of the fees applicable to the line item.
- **image** (Image)
  - An eBay-assigned URL of the item image.
- **itemId** (string)
  - The eBay identifier of an item. This ID is returned by the **Browse** and **Feed** API methods. The ID is in RESTful item ID format.  
  
**For example:** `v1|2**********6|5**********4` or `v1|1**********9|0`.  
  
For more information about item IDs for RESTful APIs, see [Legacy API compatibility](/api-docs/buy/static/api-browse.html#Legacy).
- **lineItemId** (string)
  - A unique eBay-assigned ID value that identifies a line item in a checkout session.
- **netPrice** (Amount)
  - The total cost for the line item, taking into account the quantity, any seller item discounts, and any coupon that applies.  
  
**Note:** This does not include any shipping discounts, shipping costs, fees, or seller adjustments.
- **promotions** (array)
  - An array of promotions applied to the line item.
- **quantity** (integer)
  - The quantity ordered for the line item.
- **seller** (Seller)
  - A container that returns the information about the seller, such as their eBay user name.
- **shippingOptions** (array)
  - An array of shipping options that are available for the line item. By default, the first one will be selected.  
  
**Note:** The **updateGuestShippingOption** method can be used to change the shipping option.
- **taxDetails** (array)
  - A container that returns the tax information for the line item.
- **title** (string)
  - The seller-created title of the item.

### LineItemInput
**Description:** A type that defines the fields for a line item.
**Type:** object

**Properties:**
- **itemId** (string)
  - The unique eBay-assigned identifier of an item. This ID is returned by the **Browse** and **Feed** API methods. The ID must be in RESTful item ID format.  
  
**For example:** `v1|2**********6|5**********4` or `v1|1**********9|0`.  
  
For more information about item IDs for RESTful APIs, see [Legacy API compatibility](/api-docs/buy/static/api-browse.html#Legacy).  
  
Each **itemId** will become a single line item.  
  
**Maximum:** 10 per session
- **quantity** (integer)
  - The quantity ordered in this line item.

### LineItemPaymentStatusEnum
**Description:** An enumerated type for the values that represent the payment status for a line item. | - **PAID**: This enumeration value indicates that the buyer has paid for this line item. - **PENDING**: This enumeration value indicates that the buyer's payment is expected or is being processed for this line item. - **FAILED**: This enumeration value indicates that payment processing failed for this line item. - **NOT_PAID**: This enumeration value indicates that the buyer has _not_ paid for this line item.
**Type:** object

### LineItemStatusEnum
**Description:** An enumerated type for the values that represent the fulfillment status of the items in a line item. | - **PENDING**: This enumeration value indicates that this line item has not been shipped. - **FULFILLMENT_IN_PROGRESS**: This enumeration value indicates that this line item is in the process of being shipped or in transit.  
  
**Note:** When there is no tracking information, this status will never change; without tracking information, eBay has no way of knowing whether the order was delivered. - **DELIVERED**: This enumeration value indicates that this line item has been delivered. - **CANCELLED**: This enumeration value indicates that this line item has been cancelled.
**Type:** object

### OrderLineItemV2
**Description:** A type that defines the fields for line item information in a purchase order.
**Type:** object

**Properties:**
- **addonServices** (array)
  - An array of add-on services that apply to the order line item.
- **authenticityVerification** (AuthenticityVerificationProgram)
  - A container that is returned for orders that are eligible for eBay's Authenticity Guarantee program. The seller ships Authenticity Guarantee program items to the authentication partner instead of the buyer. If the item is successfully authenticated, the authenticator will ship the item to the buyer.
- **baseUnitPrice** (Amount)
  - The cost of a single quantity of the line item.  
  
**Note:** The price includes the value-added tax (VAT) for applicable jurisdictions when requested from supported marketplaces. In this case, users must pass the [`X-EBAY-C-MARKETPLACE-ID`](/api-docs/static/rest-request-components.html#HTTP) request header specifying the supported marketplace (such as `EBAY_GB`) to see VAT-inclusive pricing. For more information on VAT, refer to [VAT Obligations in the EU](https://www.ebay.co.uk/help/listings/default/vat-obligations-eu?id=4650&st=12&pos=1&query=Your%20VAT%20obligations%20in%20the%20EU&intent=VAT).
- **fees** (array)
  - A breakdown of the fees applicable to the line item.
- **image** (Image)
  - An eBay-assigned URL of the item image.
- **itemId** (string)
  - The eBay identifier of an item. This ID is returned by the **Browse** and **Feed** API methods.
- **itemOnHold** (boolean)
  - When this value is `true` it indicates that the item has been put on hold due to a violation of eBay Policy.
- **legacyReference** (LegacyReference)
  - A container that returns fields to support using the [Post Order API](<https://developer.ebay.com/devzone/post-order/index.html#callindex >) for returns and cancellations. For information about what is returned in these fields and how to use the Post Order API, see [Using the Post Order API](/api-docs/buy/static/api-order.html#using).  
  
**Note:** The Post Order API can be used only with eBay member checkouts.
- **lineItemId** (string)
  - A unique eBay-assigned ID value that identifies a line item in a checkout session. This is created by the [initiateGuestCheckoutSession](/api-docs/buy/order/resources/guest_checkout_session/methods/initiateGuestCheckoutSession).
- **lineItemPaymentStatus** (LineItemPaymentStatusEnum)
  - An enumeration value that indicates the payment status of the line item.
- **lineItemStatus** (LineItemStatusEnum)
  - An enumeration value that indicates the fulfillment state of this line item.  
  
**Note:** When there is no tracking information, the status will never change from `FULFILLMENT_IN_PROGRESS`; without tracking information, eBay has no way of knowing whether the order was delivered.
- **netPrice** (Amount)
  - The total cost for the line item, taking into account the quantity, any seller item discounts, and any coupon that applies.  
  
**Note:** This does not include any shipping discounts, shipping costs, fees, or seller adjustments.
- **orderId** (string)
  - The unique order ID for the line item.  
  
**Maximum Length:** 40 characters
- **promotions** (array)
  - An array of promotions applied to the line item.
- **quantity** (integer)
  - The quantity ordered for the line item.
- **seller** (Seller)
  - A container for information about the seller offering this item, such as the seller's user name.
- **shippingDetail** (ShippingDetail)
  - A container for information about the shipping details of the order.
- **taxDetails** (array)
  - A container for the tax information for the line item.  
  
**Note:** The information in this container is only returned when requested from the GB marketplace, when applicable.
- **title** (string)
  - The seller-created title of the item.

### Promotion
**Description:** A container that returns the details of an item promotion.
**Type:** object

**Properties:**
- **discount** (Amount)
  - The details regarding the monetary value of the promotional discount.  
  
**Note:** eBay Bucks are not supported.
- **message** (string)
  - The text for the promotion title, which describes the promotion.
- **promotionType** (string)
  - The kind of promotion. Some examples are: `SellerDiscountedPromotionalOffer` and `COUPON`.

### PurchaseOrderPaymentStatusEnum
**Description:** An enumerated type for the values that represent the payment status of a purchase order. | - **PENDING**: This enumeration value indicates that the buyer has not paid for the purchase order or the system is still processing the payment. - **PAID**: This enumeration value indicates that the buyer has paid for the entire purchase order. - **FAILED**: This enumeration value indicates that payment processing for the purchase order has failed. - **PARTIALLY_PAID**: This enumeration value indicates that the buyer has paid for part of the purchase order.
**Type:** object

### PurchaseOrderStatusEnum
**Description:** An enumerated type for the values that represent the purchase order status. | - **PENDING**: This enumeration value indicates that the purchase order has been submitted, but either the buyer has not paid or the order has not been shipped. - **FULFILLMENT_IN_PROGRESS**: This enumeration value indicates that the purchase order is in the process of being shipped or is in transit. - **DELIVERED**: This enumeration value indicates that the purchase order has been delivered. - **CANCELLED**: This enumeration value indicates that the purchase order was cancelled.
**Type:** object

### Recipient
**Description:** A container that defines the full name of the person receiving the purchase order.
**Type:** object

**Properties:**
- **firstName** (string)
  - The first name of the person receiving the purchase order.
- **lastName** (string)
  - The last name of the person receiving the purchase order.

### Region
**Description:** A type that provides region details for a tax jurisdiction.
**Type:** object

**Properties:**
- **regionName** (string)
  - A localized text string that indicates the name of the region. Taxes are generally charged at the state/province level, or at the country level in the case of VAT tax.
- **regionType** (RegionTypeEnum)
  - An enumeration value that indicates the type of region for the tax jurisdiction.  
  
**Valid Values:**

*   `STATE_OR_PROVINCE`
*   `COUNTRY`

### RegionTypeEnum
**Description:** An enumerated type for the values that represent geographic regions. This type is used to indicate the shipping region level/type for a shipping region, and is also used to indicate level/type of a tax jurisdiction  
  
Code so that your app gracefully handles any future changes to this list. | - **COUNTRY_REGION**: This enumeration value indicates the region is a domestic region or special location within a country. A seller will generally specify these regions as places they are not willing to ship to within a country.  
  
This value is not applicable for a tax jurisdiction. - **STATE_OR_PROVINCE**: This enumeration value indicates the region is a state or province within a country, such as California or New York in the US, or Ontario or Alberta in Canada. - **COUNTRY**: This enumeration value indicates the region is a country. The two-letter code for the country, as defined in the [ISO 3166](https://www.iso.org/iso-3166-country-codes.html) standard, will be returned in the **regionId** field, and in the **regionName** field, the name of the country will be a localized text string. - **WORLD_REGION**: This enumeration value indicates the region is a continent or a large geographical region.  
  
This value is not applicable for a tax jurisdiction. - **WORLDWIDE**: Indicates the region is the entire world. This value is only applicable for included shiping regions, and not excluded shipping regions. If a seller ships to many global locations, but does have a few regions and/or countries that are exceptions, that seller may specify 'WORLDWIDE' as the included region, and will specify the exceptions through the excluded regions list.  
  
In the **regionName** field, 'Worldwide' will be localized, and in the **regionId** field, the value will be `WORLDWIDE`  
  
This value is not applicable for a tax jurisdiction.
**Type:** object

### Seller
**Description:** A type that identifies the seller.
**Type:** object

**Properties:**
- **username** (string)
  - The user name created by the seller for use on eBay.

### ServiceTypeEnum
**Description:** This enumerated type defines the type of add-on service. | - **AUTHENTICITY_GUARANTEE**: The eBay Authenticity Guarantee service, in which a product's authenticity is verified by experts before shipping to the buyer. For more information, see [Authenticity Guarantee](https://pages.ebay.com/authenticity-guarantee-seller/) on the eBay Seller site. - **BUYER_PROTECTION**: The eBay Buyer Protection program ensures that buyers are covered in case of issues with their purchase, such as not receiving the item or receiving an item that does not match the listing. For more information, see [Buyer Protection](https://www.ebay.co.uk/help/buying/paying-items/buyer-protection-fee?id=5594) on the eBay Help site.  
  
**Note:** Users cannot add `BUYER_PROTECTION` to checkout session and it is automatically added by eBay.
**Type:** object

### ShippingAddress
**Description:** A type that defines the fields for a shipping address. For restrictions, see [Shipping restrictions](/api-docs/buy/order/overview.html#Shipping).  
  
**Note:** If the address cannot be validated, a warning message will be returned.
**Type:** object

**Properties:**
- **addressLine1** (string)
  - The first line of the street address where the item is being shipped.  
  
**Maximum:**

*   40 characters for AU, CA, and US marketplaces
*   35 characters for DE and GB marketplaces
*   50 characters for all other marketplaces
- **addressLine2** (string)
  - The second line of the street address where the item is being shipped. This optional field can be used for information such as 'Suite Number' or 'Apt Number'.  
  
**Maximum:**

*   40 characters for AU, CA, and US marketplaces
*   35 characters for DE and GB marketplaces
*   50 characters for all other marketplaces
- **city** (string)
  - The city of the address where the item is being shipped.
- **country** (CountryCodeEnum)
  - The two letter code representing the country of the address.
- **county** (string)
  - The county of the address where the item is being shipped.
- **phoneNumber** (string)
  - The phone number of the person receiving the package.  
  
**Note:** It is highly recommended that when entering the phone number you include the country code.  
  
For example, if a US phone number is `4********4`, you would enter `+14********4`. If you do not include this code, the service will use the country specified in the **country** field.  
  
You can find the country code at [https://countrycode.org](https://countrycode.org/).
- **postalCode** (string)
  - The postal code of the address where the item is being shipped.  
  
**Note:** This is optional when shipping to EBAY\_HK (Hong Kong).
- **recipient** (Recipient)
  - The name of the person receiving the package.
- **stateOrProvince** (string)
  - The state or province of the address.  
  
**Note:** For the US marketplace, this is a two-character value. For a list of valid values, see [US State and Canada Province Codes](https://www.ups.com/worldshiphelp/WS15/ENU/AppHelp/Codes/State_Province_Codes.htm).

### ShippingAddressImpl
**Description:** A type that defines the shipping address fields.  
  
**Note:** If the address cannot be validated, a warning message is returned along with the response.
**Type:** object

**Properties:**
- **addressLine1** (string)
  - The first line of the street address where the item is being shipped.  
  
**Maximum:**

*   40 characters for AU, CA, and US marketplaces
*   35 characters for DE and GB marketplaces
*   50 characters for all other marketplaces
- **addressLine2** (string)
  - The second line of the street address where the item is being shipped. This optional field can be used for information such as 'Suite Number' or 'Apt Number'.  
  
**Maximum:**

*   40 characters for AU, CA, and US marketplaces
*   35 characters for DE and GB marketplaces
*   50 characters for all other marketplaces
- **city** (string)
  - The city of the address where the item is being shipped.
- **country** (CountryCodeEnum)
  - The two letter code representing the country of the address.
- **county** (string)
  - The county of the address where the item is being shipped.
- **phoneNumber** (string)
  - The phone number of the person receiving the package.  
  
**Note:** It is highly recommended that when entering the phone number you include the country code.  
  
For example, if a US phone number is `4********4`, you would enter `+14********4`. If you do not include this code, the service will use the country specified in the **country** field.  
  
You can find the country code at [https://countrycode.org](https://countrycode.org/).
- **postalCode** (string)
  - The postal code of the address where the item is being shipped.  
  
**Note:** This is optional when shipping to EBAY\_HK (Hong Kong).
- **recipient** (Recipient)
  - The name of the person receiving the package.
- **stateOrProvince** (string)
  - The state or province of the address.  
  
**Note:** For the US marketplace, this is a two-character value. For a list of valid values, see [US State and Canada Province Codes](https://www.ups.com/worldshiphelp/WS15/ENU/AppHelp/Codes/State_Province_Codes.htm).

### ShippingDetail
**Description:** A type that defines the fields for the shipping information, such as delivery date estimates and shipping provider.
**Type:** object

**Properties:**
- **ebayShipping** (boolean)
  - This value indicates whether shipping for this order is managed by eBay (`true`) or by the seller (omitted if `false` or not applicable to the transaction).  
  
When `true`, the value in the **pricingSummary.deliveryCost** container indicates the shipping cost paid directly by the buyer to eBay.
- **maxEstimatedDeliveryDate** (string)
  - The end of the date range in which the purchase order is expected to be delivered to the shipping address (final destination).
- **minEstimatedDeliveryDate** (string)
  - The beginning of the date range in which the purchase order is expected to be delivered to the shipping address (final destination).
- **shippingCarrierCode** (string)
  - The shipping provider for the line item, such as FedEx or USPS.
- **shippingServiceCode** (string)
  - The name of the shipping service option. For example, Priority Mail Express (provided by USPS) or FedEx International Priority (Provided by FedEx).

### ShippingOption
**Description:** A type that defines the fields for the shipping options.
**Type:** object

**Properties:**
- **baseDeliveryCost** (Amount)
  - The delivery cost using this shipping option, for this line item, before any delivery discounts are applied.  
  
**Note:** The cost includes the value-added tax (VAT) for applicable jurisdictions when requested from supported marketplaces. In this case, users must pass the [`X-EBAY-C-MARKETPLACE-ID`](/api-docs/static/rest-request-components.html#HTTP) request header specifying the supported marketplace (such as `EBAY_GB`) to see VAT-inclusive pricing. For more information on VAT, refer to [VAT Obligations in the EU](https://www.ebay.co.uk/help/listings/default/vat-obligations-eu?id=4650&st=12&pos=1&query=Your%20VAT%20obligations%20in%20the%20EU&intent=VAT).
- **deliveryDiscount** (Amount)
  - The monetary value of any delivery discounts.
- **ebayShipping** (boolean)
  - This value indicates whether shipping for this order is managed by eBay (`true`) or by the seller (`false`).
- **importCharges** (Amount)
  - The [Global Shipping Program](https://pages.ebay.com/seller-center/shipping/global-shipping-program.html) import charges for this line item.
- **maxEstimatedDeliveryDate** (string)
  - The end of the date range in which the purchase order is expected to be delivered to the shipping address.
- **minEstimatedDeliveryDate** (string)
  - The beginning of the date range in which the purchase order is expected to be delivered to the shipping address.
- **selected** (boolean)
  - A field that indicates whether the shipping method is selected.
- **shippingCarrierCode** (string)
  - The shipping provider for the line item, such as FedEx or USPS.
- **shippingOptionId** (string)
  - A unique ID for the selected shipping option/method.
- **shippingServiceCode** (string)
  - The name of the shipping service code. For example, Priority Mail Express (provided by USPS) or FedEx International Priority (Provided by FedEx).

### TaxClassificationDetail
**Description:** This type provides detailed information about the tax that has been collected for an item.
**Type:** object

**Properties:**
- **amount** (Amount)
  - A container for the currency type and monetary amount of the tax collected for an item.
- **taxType** (TaxType)
  - Indicates the type of tax that has been collected for the item.

### TaxClassificationEnum
**Description:** This enumerated type contains the list of tax types that may be applied to a buyer's order. | - **ITEM_TAX**: This enumeration value indicates that the tax being collected is for a physical/tangible object. - **SHIPPING_TAX**: This enumeration value indicates that the tax being collected is for shipping fees charged to ship an order. - **SERVICE_TAX**: This enumeration value indicates that the tax being collected is for a service that has been purchased/ordered. - **HANDLING_TAX**: This enumeration value indicates that the tax is being collected for handling costs. - **INTERNATIONAL_LEG_TAX**: This enumeration value indicates that the tax is being collected for shipping fees that are charged on the international leg of an order that is being shipped internationally. - **DOMESTIC_LEG_TAX**: This enumeration value indicates that the tax is being collected for shipping fees that are charged on the domestic leg of an order that is being shipped internationally. - **IMPORT_TAX**: This enumeration value indicates that the tax is being collected for fees charged to import an order, based on the value of the item. IMPORT\_TAX is only applicable for Global Shipping Program (GSP) orders, which is only available to sellers on the UK marketplace. - **SHIPPING_IMPORT_TAX**: This enumeration value indicates that the tax is being collected for fees charged to import an order, based on the cost of the international leg of shipping. - **IMPORT_DUTY_TAX**: This enumeration value indicates that the import duties are being collected from the buyer at checkout. This is applicable only for eBay International Shipping (eIS) orders, and eIS is only available to sellers on US marketplace.  
  
**Note:** If an item is eligible for both letting the buyer pay duties and taxes when they pickup the item and collecting the duties and taxes during checkout, only collecting the duties and taxes during checkout will be offered.
**Type:** object

### TaxDetail
**Description:** A type that defines the tax fields.
**Type:** object

**Properties:**
- **includedInPrice** (boolean)
  - A field that indicates whether tax was applied for the cost of the item and its shipping.
- **taxJurisdiction** (TaxJurisdiction)
  - A container that returns the tax jurisdiction information.
- **taxType** (TaxType)
  - A field that indicates the type of tax that may be collected for the item.

### TaxDetails
**Description:** This type provides detailed information for taxes collected for each item within an order.
**Type:** object

**Properties:**
- **amount** (Amount)
  - A container for the currency type and monetary amount of the tax item.
- **taxClassification** (TaxClassificationEnum)
  - Specifies what the tax item pertains to, such as a tangible object (`ITEM_TAX`), a service (`SERVICE_TAX`), or shipping fees (`SHIPPING_TAX`).
- **taxClassificationDetails** (array)
  - Provides a detailed accounting, by `TaxType`, of taxes collected for each item within an order.

### TaxJurisdiction
**Description:** The type that defines the fields for the tax jurisdiction details.
**Type:** object

**Properties:**
[...]
